---
updatedAt: 2026-09-26T02:51:07.000Z
agentTools:
  projectIndex: https://developers.dialpad.com/llms.txt
---

# Schedule reports -- Delete

Deletes a schedule report subscription by id. A schedule report is a mechanism to schedule daily, weekly or monthly record and statistics reports.

Rate limit: 1200 per minute.

# OpenAPI definition

```json
{
  "components": {
    "schemas": {
      "protos.schedule_reports.ScheduleReportsStatusEventSubscriptionProto": {
        "properties": {
          "at": {
            "description": "Hour of the day when the report will execute considering the frequency and timezones between 0 and 23  e.g. 10 will be 10:00 am.",
            "format": "int64",
            "type": [
              "integer",
              "null"
            ]
          },
          "coaching_group": {
            "default": false,
            "description": "Whether the statistics should be for trainees of the coach group with the given target_id.",
            "type": [
              "boolean",
              "null"
            ]
          },
          "enabled": {
            "default": true,
            "description": "Whether or not this schedule reports event subscription is enabled.",
            "type": [
              "boolean",
              "null"
            ]
          },
          "frequency": {
            "description": "The frequency of the schedule reports.",
            "type": [
              "null",
              "string"
            ]
          },
          "id": {
            "description": "The schedule reports subscription's ID, which is generated after creating a schedule reports subscription successfully.",
            "format": "int64",
            "type": [
              "integer",
              "null"
            ]
          },
          "name": {
            "description": "[single-line only]\n\nThe day to be sent the schedule reports.",
            "type": [
              "null",
              "string"
            ]
          },
          "on_day": {
            "description": "The day of the week or month when the report will execute considering the frequency. daily=0, weekly=0-6, monthly=0-30.",
            "format": "int64",
            "type": [
              "integer",
              "null"
            ]
          },
          "report_type": {
            "description": "The report options filters.",
            "enum": [
              "call_logs",
              "daily_statistics",
              "recordings",
              "user_statistics",
              "voicemails"
            ],
            "type": "string"
          },
          "target_id": {
            "description": "The target's id.",
            "format": "int64",
            "type": [
              "integer",
              "null"
            ]
          },
          "target_type": {
            "description": "Target's type.",
            "enum": [
              "callcenter",
              "callrouter",
              "channel",
              "coachinggroup",
              "coachingteam",
              "company",
              "department",
              "office",
              "room",
              "staffgroup",
              "unknown",
              "user",
              null
            ],
            "type": [
              "null",
              "string"
            ]
          },
          "timezone": {
            "description": "Timezone using a tz database name.",
            "type": [
              "null",
              "string"
            ]
          },
          "webhook": {
            "$ref": "#/components/schemas/protos.webhook.WebhookProto",
            "description": "The webhook's ID, which is generated after creating a webhook successfully.",
            "type": [
              "null",
              "object"
            ]
          },
          "websocket": {
            "$ref": "#/components/schemas/protos.websocket.WebsocketProto",
            "description": "The websocket's ID, which is generated after creating a websocket successfully.",
            "type": [
              "null",
              "object"
            ]
          }
        },
        "required": [
          "report_type"
        ],
        "title": "Schedule report status event subscription.",
        "type": "object"
      },
      "protos.signature.SignatureProto": {
        "properties": {
          "algo": {
            "description": "The hash algorithm used to compute the signature.",
            "type": [
              "null",
              "string"
            ]
          },
          "secret": {
            "description": "[single-line only]\n\nThe secret string that will be used to sign the payload.",
            "type": [
              "null",
              "string"
            ]
          },
          "type": {
            "description": "The signature token type.\n\n(i.e. `jwt`)",
            "type": [
              "null",
              "string"
            ]
          }
        },
        "title": "Signature settings.",
        "type": "object"
      },
      "protos.webhook.WebhookProto": {
        "properties": {
          "hook_url": {
            "description": "The webhook's URL. Triggered events will be sent to the url provided here.",
            "type": [
              "null",
              "string"
            ]
          },
          "id": {
            "description": "The webhook's ID, which is generated after creating a webhook successfully.",
            "format": "int64",
            "type": [
              "integer",
              "null"
            ]
          },
          "signature": {
            "$ref": "#/components/schemas/protos.signature.SignatureProto",
            "description": "Webhook's signature containing the secret.",
            "type": [
              "null",
              "object"
            ]
          }
        },
        "title": "Webhook.",
        "type": "object"
      },
      "protos.websocket.WebsocketProto": {
        "properties": {
          "id": {
            "description": "The websocket's ID, which is generated after creating a websocket successfully.",
            "format": "int64",
            "type": [
              "integer",
              "null"
            ]
          },
          "signature": {
            "$ref": "#/components/schemas/protos.signature.SignatureProto",
            "description": "Websocket's signature containing the secret.",
            "type": [
              "null",
              "object"
            ]
          },
          "websocket_url": {
            "description": "The websocket's URL. Users need to connect to this url to get event payloads via websocket.",
            "type": [
              "null",
              "string"
            ]
          }
        },
        "title": "Websocket.",
        "type": "object"
      }
    },
    "securitySchemes": {
      "bearer_token": {
        "description": "The API key can be put in the Authorization header.\ni.e. Authorization: Bearer <api_key>",
        "scheme": "bearer",
        "type": "http"
      }
    }
  },
  "info": {
    "description": "Dialpad's APIs for customer and third-party developer use",
    "title": "Dialpad",
    "version": "v2",
    "x-logo": {
      "altText": "Dialpad",
      "url": "https://storage.googleapis.com/dialpad_openapi_specs/logo.png"
    }
  },
  "openapi": "3.1.0",
  "paths": {
    "/api/v2/schedulereports/{id}": {
      "delete": {
        "deprecated": false,
        "description": "Deletes a schedule report subscription by id. A schedule report is a mechanism to schedule daily, weekly or monthly record and statistics reports.\n\nRate limit: 1200 per minute.",
        "operationId": "schedule_reports.delete",
        "parameters": [
          {
            "description": "The schedule reports subscription's ID.",
            "in": "path",
            "name": "id",
            "required": true,
            "schema": {
              "format": "int64",
              "type": "integer"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/protos.schedule_reports.ScheduleReportsStatusEventSubscriptionProto"
                }
              }
            },
            "description": "A successful response"
          }
        },
        "summary": "Schedule reports -- Delete",
        "tags": [
          "schedulereports"
        ],
        "x-access": [
          "user"
        ],
        "x-ratelimit": [
          [
            20,
            1
          ]
        ]
      }
    }
  },
  "servers": [
    {
      "url": "https://dialpad.com"
    },
    {
      "url": "https://sandbox.dialpad.com"
    }
  ],
  "security": [
    {
      "bearer_token": []
    }
  ],
  "x-readme": {
    "apply-tag-changes": true,
    "explorer-enabled": true,
    "proxy-enabled": false
  }
}
```